%define name		wxGTK2.5
%define version		2.5.0
%define	major		2.5
%define release		0.cvs20030817.1.5.100mdk

%define	libname %mklibname wxgtk %{major}
%define libgl	%mklibname wxgtkgl %{major}

Name:		%{name}
Summary:	GTK+ port of the wxWindows library
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://www.freiburg.linux.de/~wxxt/
# http://wxwindows.sourceforge.net/snapshots/wx-cvs-20030817.tar.bz2
Source:		wx-cvs-20030419.tar.bz2
Patch0:		files.lst.patch.bz2
Patch1:         wxGTK-locale_to_utf8.patch.bz2
Patch2:		wxWindows-20030419-lib64.patch.bz2
# sb - security patches
Patch3:		libtiff-3.5.2-alt-bound.patch.bz2
Patch4:		libtiff-3.5.2-chris-bound.patch.bz2
Patch5:		libtiff-3.5.2-bound-fix2.patch.bz2
Patch6:		libtiff-3.5.x-CAN-2004-0804.patch.bz2
Patch7:		libtiff-3.5.x-iDefense.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	libpng-devel
Buildrequires:	zlib-devel
Buildrequires:	gtk+2-devel
Buildrequires:	libjpeg-devel
Buildrequires:	bison, flex
Buildrequires:	libtiff-devel
BuildRequires:  libMesaGLU-devel

%description
wxWindows is a free C++ library for cross-platform GUI development.
With wxWindows, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package -n %libname
Group:		System/Libraries
Summary: 	Base shared library part of wxGTK
Requires:	%name >= %version
Provides:	wxGTK%{major} = %version-%release

%description -n %libname
wxWindows is a free C++ library for cross-platform GUI development.
With wxWindows, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

This package contains the library needed to run programs dynamically
linked with %{name}.



%package -n %{libname}-devel
Summary:	Header files and development documentation for wxGTK
Group:		System/Libraries
Requires:	%{libname} = %version-%release
Requires:	%{libgl} = %version-%release
Provides:	wxGTK-devel = %version-%release
Provides:	wxGTK%{major}-devel = %version-%release
Provides:	libwxgtk-devel = %version-%release
Conflicts:	wxGTK6-devel wxGTK2.2-devel wxGTK2.3_1-devel libwxgtk2.4-devel
Conflicts:	libwxBase0-devel

%description -n %{libname}-devel
Header files for wxGTK, the GTK+ port of the wxWindows library.

%package  -n %{libgl}
Summary:	GTK+ port of the wxWindows library, OpenGl add-on.
Group:		System/Libraries
Provides:	wxGTK-gl = %version-%release
Provides:	wxGTK%{major}-gl = %version-%release

%description -n %{libgl}
OpenGl add-on library for wxGTK, the GTK+ port of the wxWindows library.

%prep
%setup -q -n wxWindows-20030419
#%patch0
%patch1
%patch2 -p1 -b .lib64
%patch3 -p1 -b .alt-sec
%patch4 -p1 -b .chris-sec
%patch5 -p1 -b .bound-fix2
%patch6 -p1 -b .can-2004-0804
%patch7 -p1 -b .iDefense
autoconf

%build
export LDFLAGS=-L/usr/X11R6/%{_lib}
%configure \
	--without-odbc \
  	--with-opengl \
	--enable-gtk2 --with-gtk  \
	--without-debug_flag \
  	--without-debug_info \
  	--with-libpng=sys \
	--with-libjpeg=sys \
	--with-libtiff=sys \
	--with-zlib=sys \
	--enable-soname \
	--enable-optimise \
	\
	--enable-calendar \
	--enable-wave \
	--enable-fraction \
	--enable-wxprintfv \
	--enable-xresources \
	--enable-controls \
	--enable-tabdialog \
	--enable-msgdlg \
	--enable-dirdlg \
	--enable-numberdlg \
	--enable-splash \
	--enable-textdlg

make
find samples -name .cvsignore -exec rm {} \;

%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf %buildroot

%post   -n %{libname}	-p /sbin/ldconfig
%postun -n %{libname}	-p /sbin/ldconfig

%post   -n %{libgl}	-p /sbin/ldconfig
%postun -n %{libgl}	-p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%_datadir/wx/

%files -n %libname
%defattr(-,root,root,-)
%_libdir/libwx_gtk2-%{major}.so.*

%files -n %{libname}-devel
%defattr(-,root,root,-)
%doc samples/*
%{_bindir}/*
%dir %{_includedir}/wx
%{_includedir}/wx/*
%dir %{_libdir}/wx
%dir %{_libdir}/wx/include/
%dir %{_libdir}/wx/include/gtk2-%{major}
%dir %{_libdir}/wx/include/gtk2-%{major}/wx
%{_libdir}/wx/include/gtk2-%{major}/wx/setup.h
%{_libdir}/libwx_gtk2*.so
%_datadir/aclocal/*

%files -n %{libgl}
%defattr(-,root,root,-)
%{_libdir}/libwx_gtk2_gl*.so.*

%changelog
* Wed Dec 29 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.5.0-0.cvs20030817.1.5.100mdk
- missed a hunk for dir_fax3.c (redo P7)

* Tue Dec 28 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.5.0-0.cvs20030817.1.4.100mdk
- security fix for iDefense advisories (P7)

* Thu Oct 14 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.5.0-0.cvs20030817.1.3.100mdk
- security update for CAN-2004-0804 (patch 6)

* Thu Oct 14 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.5.0-0.cvs20030817.1.2.100mdk
- security fix for CAN-2004-0803 and CAN-2004-0886 (patches 3,4,5)

* Wed Mar 24 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.5.0-0.cvs20030817.1.1mdk
- build deps & lib64 fixes

* Mon Aug 18 2003 Han Boetes <han@linux-mandrake.com> 2.5.0-0.cvs20030817.1mdk
- bump to a more recent snapshot.
- remove trailing whitespace.

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.5.0-0.cvs20030319.6mdk
- devel package conflicts with libwxBase0-devel
- add some dirs to the package
- enable system libtiff

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.5.0-0.cvs20030319.5mdk
- rebuild for new rpm

* Wed May 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 2.5.0-0.cvs20030319.4mdk
- Added explicit conflict between -devel and 2.4's one

* Mon Mar 24 2003 Pascal Terjan <CMoi@tuxfamily.org> 2.5.0-0.cvs20030319.3mdk
- fix problem with localized strings

* Fri Mar 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 2.5.0-0.cvs20030319.2mdk
- small cleanup

* Wed Mar 19 2003 Pascal Terjan <CMoi@tuxfamily.org> 2.5.0-0.cvs20030319.1mdk
- CVS version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0-3mdk
- fix buildrquires

* Thu Feb 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0-2mdk
- fix provides
- use the mklibname macro
- disable unicode

* Wed Jan  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0-1mdk
- major 2.4
- new version

* Wed Sep 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.3-1mdk
- enable gtk2 and unicode support
- change lib naming scheme to libwxgtk%%major and libwxgtkgl%%major
- rearrange files to the default dirs
- remove patch
- new version

* Mon Sep  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.2-7mdk
- fix location of m4 macros (Gabriel Phoenix <gabrieltalks@sympatico.ca>)

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.2-6mdk
- gcc 3.2-0.3mdk build
- disable parallel build

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.2-5mdk
- rpmlint fixes

* Sat May 18 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.3.2-4mdk
- Remove the Conflicts: wxGTK2.2 in the gl package as well

* Fri May 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.2-3mdk
- devel package requires gl
- rebuild for missing gl package
- remove the conflict with wxGTK2.2, wxGTK6

* Tue May 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.3.2-2mdk
- patch to make it build
- build with gcc3.1

* Fri Apr 26 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.3.2-1mdk
- Change package name to wxGTK2.3_1, so that it fits to libname policy
  thx Goetz Waschk <waschk@informatik.uni-rostock.de>
- The packages now also provide wxGTK2.3, so that other packages can easily
  require the correct version of wxGTK
- Dump the unused main package

* Sun Apr 21 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.3.2-2mdk
- Fix URL
- Make package provide wxGTK
- Put description and provides of the unused main package into the
  wxGTK%%major package

* Sat Apr 20 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.3.2-1mdk
- 2.3.2
- Don't use --enable-burnt_name, no longer supported
- Build with everything --enable'd, but not with --enable-unicode :(
- Build with the builtin version of libtiff

* Wed Feb 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.9-3mdk
- use shared libs

* Mon Feb 04 2002 Yves Duret <yduret@mandrakesoft.com> 2.2.9-2mdk
- fix libwx_gtk-2.2.so.6 pbs thx Goetz Waschk <waschk@informatik.uni-rostock.de>
- more buildrequires

* Fri Feb 01 2002 Yves Duret <yduret@mandrakesoft.com> 2.2.9-1mdk
- version 2.2.9
- fix bad %%defattr and bad %%files list
- %%setup -q
- use %%buildroot everywhere
- globbing and macros are powerfull
- %%configure in %%build not in %%prep
- buildrequires is for the masses

* Tue Nov 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.2.7-13mdk
- rebuilt with current cooker, linking looks broken

* Thu Nov  8 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-12mdk
- Sample Makefile Problem.

* Wed Nov  7 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-11mdk
- %lang pbs, locale pbs & audacity incompatibility.

* Sat Nov  3 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-10mdk
- fixes some bugs causing by pkg.

* Fri Nov  2 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-9mdk
- fixes some problems with libraries (gl)

* Fri Nov  2 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-8mdk
- fixes some problem with libraries

* Fri Nov  2 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-7mdk
- devel-file-in-non-devel-package for OpenGL

* Fri Nov  2 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-6mdk
- fixes non-versioned files.

* Thu Nov  1 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-5mdk
- bugs fixes.

* Tue Oct 30 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-4mdk
- defattr

* Tue Oct 30 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-3mdk
- correct: permissions, no-dependency-on locales-gl, no-documentation
- file-not-in-%lang /usr/share/doc/wxGTK-devel-2.2.7/internat/de/internat.mo, etc...

* Mon Jun 18 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.2.7-2mdk
- added samples in doc directory for the devel package

* Mon Jun 18 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.2.7-1mdk
- updated to 2.2.7

* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.5-1mdk
- updated to 2.2.5

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- updated to 2.2.4

* Tue Dec 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-2mdk
- build for gcc-2.96

* Sun Sep 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- update to 2.2.2
- clean spec
- BM

* Sat Aug 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- fix symlink that broke this lib
- update to 2.2.0
- macros

* Sat May 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.1.15-2mdk
- add --with-gtk, --without-odbc, --without-shared, --without-debug_flag,
  and --without-debug_info to configure

* Fri May 26 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.1.15-1mdk
- initial specfile
- bzip sources
